
%global _el_version el9
 
Name:       buildsys-macros-el9
Summary:    Macros for the Buildsystem
Version:    1.0
Release:    3%{dist}
License:    GPL
Group:      Development/Buildsystem
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch
 
%description
This particular package contains the macros needed for the buildsys for CentOS el9s.
 
%prep
 
%build
 
%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/etc/rpm/
VERSION=%{version}
printf %s%b "%" "rhel 9\n" >> %{buildroot}/etc/rpm/macros.disttag
printf %s%b "%" "centos 9\n" >> %{buildroot}/etc/rpm/macros.disttag
printf %s%b "%" "dist .%{_el_version}\n" >> %{buildroot}/etc/rpm/macros.disttag
printf %s%b "%" "el9 1\n" >> %{buildroot}/etc/rpm/macros.disttag
printf %s%b "%" "__arch_install_post /usr/lib/rpm/check-buildroot\n" >> %{buildroot}/etc/rpm/macros.checkbuild
 
%clean
rm -rf %{buildroot}
 
%files
%defattr(-,root,root)
/etc/rpm/macros.disttag
/etc/rpm/macros.checkbuild
 
%changelog
* Tue Aug 09 2022 Fabian Arrotin <arrfab@centos.org> - 1.0-3
- Bump for RHEL 9 build support in CBS

* Thu Sep 02 2021 Fabian Arrotin <arrfab@centos.org> - 1.0-2
- Bump for CentOS Stream 9

* Mon Jun 15 2020 Thomas Oulevey <thomas.oulevey@cern.ch> - 1.0-1
- Initial Centos build.
